[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThreadExecuteHandler

Signature of method to execute in a thread, without status reporting

## Declaration

Source position: classesh.inc line 1692

`type TThreadExecuteHandler = TThreadMethod;`

## Description

TThreadExecuteHandler is the signature of the method to be used when executing something in a thread using TThread.ExecuteInThread when no status reporting is required.

## See also

TThread.ExecuteInThread |  | Execute a method or static procedure in a thread
TThreadReportStatus |  | Thread status report callback prototype
TThreadStatusNotifyEvent |  | Signature of thread status report event handler